Subject: Re: mount command
From: "Richard Lyon" <[email-masked]>
To: "Chris Faylor" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 27 Mar 1999 10:53:27 +1000

This is exactly what I have done:

Activate NT command prompt and then enter the following command 'mkdir
c:\home'.

Start bash shell and enter the command mount. The following output is
displayed:

Device           Directory           Type        Flags
C:               /                   native      text!=binary

Now I want to mount drive D: and set the mountpoint as /home. So we follow
the
instructions in the user manual and enter the command 'mount d:\ /home'. The
command fails and some verbage is displayed about how to use mount. OK, so
the examples in the user manual are wrong.

Enter the command 'mount D:/ /home'. The command completes with no verbage
displayed. To check enter the command 'mount'. The following is displayed:

Device           Directory           Type        Flags
D:               /home               native      text!=binary
C:               /                   native      text!=binary

OK, so I created the directory home first and then issued the mount. This
is the correct procedure. I can run make files which use the prefix /home
and code is compiled correctly. Listing directories using the prefix /home
works. Commands like 'cd', 'pwd' and 'cygpath' use the prefix correctly.
I think the mount operation has been successful.

However, issuing 'find / -name AfileOnD -print' only will search C drive,
not D drive. Surely the problem lies with the find command.

I think the user documentation about mount is slightly wrong about the
use of backslashes in the mount command line. What I have done seems to
work, with the only exception the find command.

Has anyone else used cygwin with two partitions and attempted to mount
the second partition? Do the find command work correctly?

-----Original Message-----
From: Chris Faylor <[email-masked]>
To: Richard Lyon <[email-masked]>
Cc: [email-masked] <[email-masked]>
Date: Thursday, 25 March 1999 14:46
Subject: Re: mount command

>On Thu, Mar 25, 1999 at 10:37:47AM +1000, Richard Lyon wrote:
>>See comments below:
>>
>>-----Original Message-----
>>From: DJ Delorie <[email-masked]>
>>To: [email-masked] <[email-masked]>
>>Cc: [email-masked] <[email-masked]>
>>Date: Tuesday, 23 March 1999 7:36
>>Subject: Re: mount command
>>
>When you said:
>
>mount d:/topdirectory /home
>
>was the operation silent or did mount display some words?  If mount
>displayed something, what did it say?
>
>I still get the feeling that you are not performing the simple operation
>that DJ has asked you to do:
>
>c:\> mkdir c:\home
>
>You don't use the Cygwin mkdir to do this.  You use the mkdir that's
>builtin to the command shell.
>
>cgf
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]